Ask Your Question
0

cannnot install ROS in Ubuntu 14.10

asked 2015-10-13 19:22:05 -0500

chibi314 gravatar image

updated 2015-10-14 04:10:57 -0500

gvdhoorn gravatar image

I built catkin from source, but I cannot.

 -- catkin 0.6.15
-- Searching for Poco library...
CMake Error at /home/chibi314/ros_catkin_ws/install_isolated/share/cmake_modules/cmake/Modules/FindPoco.cmake:186 (MESSAGE):
  Poco was not found.  Set the Poco_INCLUDE_DIR cmake cache entry to the
  top-level directory containing the poco include directories.  E.g
  /usr/local/include/ or c:\poco\include\poco-1.3.2
Call Stack (most recent call first):
  CMakeLists.txt:7 (find_package)


-- Configuring incomplete, errors occurred!
See also "/home/chibi314/ros_catkin_ws/build_isolated/class_loader/CMakeFiles/CMakeOutput.log".
<== Failed to process package 'class_loader':
  Command '['/home/chibi314/ros_catkin_ws/install_isolated/env.sh', 'cmake', '/home/chibi314/ros_catkin_ws/src/class_loader', '-DCATKIN_DEVEL_PREFIX=/home/chibi314/ros_catkin_ws/devel_isolated/class_loader', '-DCMAKE_INSTALL_PREFIX=/home/chibi314/ros_catkin_ws/install_isolated', '-DCMAKE_BUILD_TYPE=Release', '-G', 'Unix Makefiles']' returned non-zero exit status 1

Reproduce this error by running:
==> cd /home/chibi314/ros_catkin_ws/build_isolated/class_loader && /home/chibi314/ros_catkin_ws/install_isolated/env.sh cmake /home/chibi314/ros_catkin_ws/src/class_loader -DCATKIN_DEVEL_PREFIX=/home/chibi314/ros_catkin_ws/devel_isolated/class_loader -DCMAKE_INSTALL_PREFIX=/home/chibi314/ros_catkin_ws/install_isolated -DCMAKE_BUILD_TYPE=Release -G 'Unix Makefiles'

Command failed, exiting.

I don't know how to install "poco". Please tell me how to install poco.

edit retag flag offensive close merge delete

2 Answers

Sort by ยป oldest newest most voted
0

answered 2015-10-14 15:57:10 -0500

tfoote gravatar image

poco is a system dependency.

The source installation instructions should help you install all your system dependencies such as poco.

edit flag offensive delete link more
1

answered 2015-10-14 06:29:40 -0500

MarkyMark2012 gravatar image

sudo apt-get install libpoco-dev

Mark

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2015-10-13 19:22:05 -0500

Seen: 323 times

Last updated: Oct 14 '15